import { EventDispatcher } from "../../utils";
import { PdrOptions, PositioningSystem } from "./pdr";
import { Sensor, SensorData, SensorOptions } from "./sensor";
import { BMap } from "../../bmap";
export interface PdrPositionOptions {
    sensor?: Partial<SensorOptions>;
    pdr?: Partial<PdrOptions>;
}
interface PdrPositionEventMap {
    position: {
        x: number;
        y: number;
        _type: "pdr" | "gps" | "beacon";
    };
}
export declare class PdrPosition extends EventDispatcher<PdrPositionEventMap> {
    bmap: BMap;
    sensor: Sensor;
    pdr: PositioningSystem;
    _pause: boolean;
    constructor(bmap: BMap, options?: PdrPositionOptions);
    checkSensor(): Promise<{
        deviceOrientation: boolean;
    }>;
    setSensor(sensor: Sensor): void;
    start(): void;
    pause(): void;
    continue(): void;
    getPositionBySensorItem(data: SensorData, dispatch?: boolean): (number | boolean)[];
    setBeaconPosition(pos: {
        x: number;
        y: number;
    }, time: number): void;
    dispose(): void;
}
export {};
